package internetBanking;

/**
 * @author sergedemeyer - September 2015 An account is a dataholder for a
 *         balance (the amount of money available) and is identified by means of
 *         an accountNr (a unique identifier)
 */

public class Account {
	private int _accountNr = 0, _balance = 0;

	public Account(int accountNr) {
		this._accountNr = accountNr;
	}

	/**
	 * @return the _accountNr
	 */
	public int get_accountNr() {
		return _accountNr;
	}

	/**
	 * @return the _balance
	 */
	public synchronized int get_balance() {
		return _balance;
	}

	/**
	 * @param balance
	 *            the amount to be added to _balance
	 */
	public synchronized void inc_balance(int balance) {
		this._balance = this._balance + balance;
	}

}
