package internetBanking.tests;

import internetBanking.Account;
import junit.framework.TestCase;

/**
 * 
 */

/**
 * @author sergedemeyer
 *
 */

public class AccountTest extends TestCase {
	Account acc = new Account(99);

	/**
	 * testSmallPop: call constructor + getters/setters + operations +
	 * destructor See Robert V. Binder. Testing Object-Oriented Systems.
	 * Addison-Wesley, 2000
	 */
	public void testSmallPop() {
		assertEquals(99, acc.get_accountNr());
		assertEquals(0, acc.get_balance());
		acc.inc_balance(-1);
		assertEquals(-1, acc.get_balance());
	}
}
