package internetBanking.tests;

import junit.framework.TestCase;
import internetBanking.DesignByContract;

public class DesignByContractTests extends TestCase {

	DesignByContract dbc = new DesignByContract();

	public void testFailPrecondition() {
		try {
			dbc.triggerPreconditionViolation();
			fail("Missing exception");
		} catch (AssertionError e) {
			assertTrue(e.getMessage().startsWith("Pre-condition violation"));
		}
	}

	public void testFailPostcondition() {
		try {
			dbc.triggerPostconditionViolation();
			fail("Missing exception");
		} catch (AssertionError e) {
			assertTrue(e.getMessage().startsWith("Post-condition violation"));
		}
	}

	public void testFailInvariant() {
		try {
			dbc.triggerInvariantViolation();
			fail("Missing exception");
		} catch (AssertionError e) {
			assertTrue(e.getMessage().startsWith("Invariant violation"));
		}
	}

}
